complexType "PricingStructure"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | name?, currency?
</...>

Content Model Elements (2):

  currency (defined in PricingStructure complexType), | name (defined in PricingStructure complexType)

Annotation
An abstract pricing structure base type. Used as a base for structures such as yield curves and volatility matrices.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType abstract="true" name="PricingStructure"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
currency

  Type: | Currency, simple content

  The currency that the structure is expressed in (this is relevant mostly for the Interes Rates asset class).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

name

  Type: | xsd:normalizedString, predefined, simple content

  The name of the structure, e.g "USDLIBOR-3M EOD Curve".
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.